
Figure - Bug #117812
【IOVDEV-26152】【VC1】【0094】【台架】【EE环境】【副屏】【设置】屏保状态下点击、下拉、左右滑
动屏幕不能解除屏保
2023-05-08 17:58 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-08

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: "中控版本：03.02.0076.x101��副屏版本：01.00.0094.c103"

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-05-13

Test Type: ST Root cause: 编码问题

Description

环境信息】EE环境

【问题出现时间】：20230508 09：45

【前提条件】：副屏上电，屏保已开启

【操作步骤】

1.屏幕进入屏保状态

2.点击、下拉、左右滑动屏幕

【实际结果】

1.可以解除屏保

【期望结果】

1.不能解除屏保

【备注】：

【应用版本】：

【硬件版本号】：

【中控版本号】：03.02.0076.x101

【副屏版本号】：01.00.0094.c103

Related issues:

Related to Figure - Bug # 117913: 【AF】【EVT3】【桌面】进入屏保后 单指点... CLOSED 2023-05-13

History

#1 - 2023-05-09 17:22 - CD APP-王营

- Status changed from New to ASSIGNED

#2 - 2023-05-12 16:50 - CD APP-王营

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-05-13

- Root cause set to 编码问题

【当前状态】

问题已解决
【我的分析】

系统原生只要存在touch事件即可退出屏保，因我们的项目特殊要求，需要在dispatchTouchEvent中做出判断，根据滑动方向判断是否需要唤醒dream

【提交】

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/199750

#3 - 2023-05-12 17:39 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

199750 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

AF: ScreenSaver: Only gesture up can wake up from dreamTC-RID: 0301-0300601IssueID: TS-R-BUG-117812Change-Id:

Ia50ccf62892da6603f719dda7f466adf6fad0716

#4 - 2023-05-12 18:00 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CDTS_Test 吴诗雨

- Degrated changed from -- to No

注意此问题目前只能上滑退出屏保，更改了原生行为，上滑退出是根据需求文档和UE文档来定的。如有疑问需和需求和UE沟通。

#5 - 2023-05-17 10:31 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to NEED_INFO

验证通过，待客户验证

#6 - 2023-05-17 16:14 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to RESOLVED

#7 - 2023-05-17 16:15 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#8 - 2023-05-17 16:15 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED
